Skip to main content
PATCH
/
ftd
/
{ftd_id}
/
manager
Reassign Ftd Manager
curl --request PATCH \
  --url https://api.{your-broker}.slate-labs.com/ftd/{ftd_id}/manager \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reason": "<string>"
}
'
{
  "id": 123,
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "manager_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "manager_name": "<string>",
  "manager_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "manager_team_name": "<string>",
  "manager_parent_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "manager_parent_team_name": "<string>",
  "affiliate_id": "<string>",
  "affiliate_lead_id": "<string>",
  "campaign_id": "<string>",
  "funnel": "<string>",
  "total_usd": "<string>",
  "tx_count": 123,
  "minimum_usd": "<string>",
  "country": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "customer_full_name": "<string>",
  "customer_email": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ftd_id
integer
required

Body

application/json
user_id
string<uuid>
required
reason
string
required
Required string length: 10 - 500

Response

Successful Response

id
integer
required
customer_id
string<uuid>
required
account_id
string<uuid>
required
manager_id
string<uuid> | null
required
manager_name
string | null
required
manager_team_id
string<uuid> | null
required
manager_team_name
string | null
required
manager_parent_team_id
string<uuid> | null
required
manager_parent_team_name
string | null
required
affiliate_id
string | null
required
affiliate_lead_id
string | null
required
campaign_id
string | null
required
funnel
string | null
required
total_usd
string
required
tx_count
integer
required
minimum_usd
string
required
country
string | null
required
completed_at
string<date-time>
required
created_at
string<date-time>
required
customer_full_name
string | null
customer_email
string | null